export declare function isUndefined(val: unknown): val is undefined;
export declare function isNull(val: unknown): val is null;
export declare function isBoolean(val: unknown): val is boolean;
export declare function isString(val: unknown): val is string;
export declare function isNumber(val: unknown): val is number;
export declare function isFunction(val: unknown): val is Function;
export declare function isArray(val: unknown): val is Array<any>;
export declare function isEmptyArray(val: unknown): val is Array<any>;
export declare function isArrayEqual(arr1: Array<any>, arr2: Array<any>): boolean;
export declare function isEmptyObject(val: unknown): val is {};
/**
 * 判断日期是否合法
 * @param d
 */
export declare function isValidDate(val: Date): val is Date;
export declare function isObject(val: unknown): val is Record<any, any>;
export declare function isPlainObject(val: unknown): val is object;
export declare const isPromise: <T>(val: unknown) => val is Promise<T>;
export declare const isClient: boolean;
export declare const isTouchDevice: boolean;
export declare function isWindow(val: unknown): val is Window;
/**
 * 判断一个给定的路径是否是当前页面的内部链接
 * @param {string} link - 需要判断的路径（可以是相对路径、绝对路径或完整URL）
 * @returns {boolean} - 如果是外部链接返回true，否则返回false
 */
export declare function isCurrentPageLink(link: string): boolean;
